// 机构信息
export const SELFSHOP = 'self_shop'
// 采购计划的购物车
export const PURCHASE_CART = 'PURCHASE_CART'
// 添加采购计划商品页面数据
export const PURCHASE_DATA = 'PURCHASE_DATA'
// 采购计划、采购订单列表、销售列表、赠送入库列表刷新
export const PURCHASE_LIST = 'PURCHASE_LIST'
export const REFRESH_LIST = 'REFRESH_LIST'
// 详情页刷新
export const DETAIL_REFRESH = 'DETAIL_REFRESH'
// 采购退货刷新
export const PURCHASE_RETURN_REFRESH = 'PURCHASE_RETURN_REFRESH'
// 销售退货刷新
export const SALE_RETURN_REFRESH = 'SALE_RETURN_REFRESH'
// 选择商户
export const CHOOSE_SHOP = 'CHOOSE_SHOP'
// 选择添加的商品
export const CHOOSE_ADD_GOODS = 'CHOOSE_ADD_GOODS'
// 添加赠送入库刷新
export const ADD_FREE_REFRESH = 'ADD_FREE_REFRESH'
// 个人中心刷新（机构切换刷新）
export const MY_REFRESH = 'MY_REFRESH'
// 首页刷新（绑定机构）
export const INDEX_REFRESH = 'INDEX_REFRESH'
/**
 * 设置缓存 getLocalStorage
 * @param {*} key key
 * @param {*} value 值
 */
export function setLocalStorage (key, value) {
    window.localStorage.setItem(key, window.JSON.stringify(value))
}

/**
 * 获取指定缓存 getLocalStorage
 * @param {*} key key值
 * @returns
 */
export function getLocalStorage (key) {
    return window.JSON.parse(window.localStorage.getItem(key)) || ''
}

/**
 * 清除指定缓存clearStorage
 * @param {*} key key值
 */
export function removeLocalStorage (key) {
    window.localStorage.removeItem(key)
}

/**
 * 清空缓存
 */
export function clearStorage () {
    window.localStorage.clear()
}
