import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/tabbar/Home.vue'
// import selfApi from '@/api/apiList'

Vue.use(VueRouter)

const routes = [{
    path: '/',
    name: 'home',
    meta: {
        title: '首页',
        hideBack: true
    },
    component: Home
},
{
    path: '/my',
    name: 'my',
    meta: {
        title: '我的',
        hideBack: true
    },
    component: () => import('../views/tabbar/my.vue')
},

{
    path: '/mine',
    name: 'mine',
    meta: {
        title: '我的',
        hideBack: true
    },
    component: () => import('../views/tabbar/mine.vue')
},
{
    path: '/modifyPhone',
    name: 'mesmodifyPhonesage',
    meta: {
        title: '修改手机号',
        hideBack: true
    },
    component: () => import('../views/tabbar/modifyPhone.vue')
},
// 登录
{
    path: '/login',
    name: 'login',
    meta: {
        title: '机构登录',
        hideBack: true
    },
    component: () => import('@/views/login/login.vue')
},
{
    path: '/againLogin',
    name: 'againLogin',
    meta: {
        title: '机构登录',
        hideBack: true
    },
    component: () => import('@/views/login/againlogin.vue')
},
// 个人中心
{
    path: '/charge',
    name: 'charge',
    meta: {
        title: '发起收费',
        hideBack: true
    },
    component: () => import('@/views/my/charge.vue')
},
{
    path: '/relationUsers',
    name: 'relationUsers',
    meta: {
        title: '我的'
    },
    component: () => import('@/views/my/relation-users.vue')
},
{
    path: '/addRelation',
    name: 'addRelation',
    meta: {
        title: '绑定机构'
    },
    component: () => import('@/views/my/add-relation.vue')
}
]

const router = new VueRouter({
    mode: 'history',
    base: process.env.BASE_URL,
    routes,
    scrollBehavior(to, from, savePosition) {
        if (savePosition) {
            return savePosition
        } else {
            return {
                x: 0,
                y: 0
            }
        }
    }
})

router.beforeEach((to, from, next) => {
    next()
    // console.log(to)
    // localStorage.setItem('fromQuery',from.path); //记录路由
    // console.log(to.path)
    /** 商品列表 */
    // if (to.path.indexOf('goodsList/') !== -1) {
    //     switch (to.params.type) {
    //         case 'entry':
    //             to.meta.title = '入库商品'
    //             break
    //         case 'out':
    //             to.meta.title = '出库商品'
    //             break
    //         case 'sale':
    //             to.meta.title = '销售商品'
    //             break
    //         default:
    //             to.meta.title = '商品列表'
    //             break
    //     }
    // } else if (to.path.indexOf('returnGoods/list/') !== -1) {
    //     switch (to.params.type) {
    //         case 'purchase':
    //             to.meta.title = '采购退货'
    //             break
    //         case 'sale':
    //             to.meta.title = '销售退货'
    //             break
    //         default:
    //             to.meta.title = '商品列表'
    //             break
    //     }
    // }

    // let token = window.localStorage.getItem('token')
    // let status = window.localStorage.getItem('status')
    // if (to.path === '/againLogin') {
    //     next()
    //     return true
    // }
    // if (to.path === '/login' && token && status) {
    //     next()
    //     return true
    // }
    // if (to.query.token && to.query.status) {
    //     console.log('ok-------0', status)
    //     token = to.query.token
    //     status = to.query.status
    //     // console.log(token)
    //     // console.log(status)
    //     window.localStorage.setItem('token', token)
    //     window.localStorage.setItem('status', status)
    // }
    // if (token && status === '200') {
    //     console.log('ok-------1', 200)
    //     next()
    // } else if (token && status === '100') {
    //     console.log('ok-------2', 100)
    //     setTimeout(() => {
    //         next({
    //             path: '/login'
    //         })
    //     }, 50)
    //     return true
    // } else {
    //     console.log('ok-------3')
    //     window.document.location = selfApi.WINDOWHREF_LOGIN_ROUTE // url-
    //     return true
    // }
})

router.afterEach((to, from, next) => {
    // window.scrollTo(0,0);
    window.document.title = to.meta.title || '工人端'
})

export default router
